iOS 3.1 IMDB App won't install on 2G iPod Touch

Discussion in 'iOS Jailbreak & Cydia' started by Tattrpuff, Dec 17, 2009.

  1. Tattrpuff

    Tattrpuff New Member

    Joined:
    Dec 31, 2008
    Messages:
    22
    Likes Received:
    0
    Device:
    2G iPod touch
    So this is weird and I can't find anywhere that anyone is having the same issue. When I try to install IMDB app from the App store I get "This App is incompatible with this iPod Touch" "P2.requiredCapabilities.thisAppRequires" I don't get it! 3.1.2 - 2G iPod Touch JB w/ Blackra1n.
  2. Tattrpuff

    Tattrpuff New Member

    Joined:
    Dec 31, 2008
    Messages:
    22
    Likes Received:
    0
    Device:
    2G iPod touch
    Has any one installed the IMDB app with my same specs? I can not find anyone else having this issue.
  3. Rainstar182

    Rainstar182 New Member

    Joined:
    Aug 17, 2009
    Messages:
    179
    Likes Received:
    0
    Device:
    2G iPod touch
    Works for me.
  4. Anonymoose23

    Anonymoose23 New Member

    Joined:
    Aug 4, 2009
    Messages:
    122
    Likes Received:
    0
    Device:
    2G iPod touch
    Works for me aswell.
  5. Fishy

    Fishy Member

    Joined:
    Feb 17, 2008
    Messages:
    767
    Likes Received:
    22
    Device:
    iPad
    Try making a rebooting.. Or making a new account.
  6. Swiftman

    Swiftman New Member

    Joined:
    Oct 24, 2009
    Messages:
    5
    Likes Received:
    0
    Device:
    2G iPod touch
    I have the same problem. The only thing is, it is much more widespread. It happens for Jet Car Stunts, IMBD, and many others. I have the same stats as the first poster. iPod Touch 2nd Gen 16GB Jailbroken 3.1.2 using blackra1n. Ideas? (Rebooting doesn't work).
  7. Retro349

    Retro349 New Member

    Joined:
    Jan 18, 2009
    Messages:
    355
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Same problem, iPod touch 2G 8GB, jailbroken 3.1.1, Jet Car Stunts.

    Perhaps it's the app that's the problem. Try downloading it in iTunes?

    UPDATE: Just tried to sync via iTunes. Same problem.
    ------------------double post merged------------------
    Solved in about 10 minutes...

    1. Download the app in iTunes
    2. Right-click it and click "show in explorer" (or finder)
    3. Change the extension from .ipa to .zip
    4. Take out iTunesMetaData.plist
    5. Download and install iPodrobot plist editor for Windows and open the plist with it (or however you mac people open plists)
    6. Find the following:
    Code:
    <key>softwareSupportedDeviceIds</key>
    <array>
    <integer>1</integer>
    </array>
    7. Add another line so it says this:
    Code:
    <key>softwareSupportedDeviceIds</key>
    <array>
    <integer>1</integer>
    <integer>2</integer>
    </array>
    8. Put the plist back in the zip file (overwriting the original)
    9. Change the extention back to .ipa
    10. Make sure under the apps tab in your iDevice's page in iTunes, the app you just changed is checked
    11. Sync
    12. Have a merry Christmas
  8. Swiftman

    Swiftman New Member

    Joined:
    Oct 24, 2009
    Messages:
    5
    Likes Received:
    0
    Device:
    2G iPod touch
    Thanks! I'll try it.
  9. Tattrpuff

    Tattrpuff New Member

    Joined:
    Dec 31, 2008
    Messages:
    22
    Likes Received:
    0
    Device:
    2G iPod touch
    Thanks I'll try that as well!
    ------------------double post merged------------------
    PERFECT! Thanks!! What caused it not to install from the App Store without mod?
  10. Swiftman

    Swiftman New Member

    Joined:
    Oct 24, 2009
    Messages:
    5
    Likes Received:
    0
    Device:
    2G iPod touch
    It worked however it is getting very annoying. There are now a ton of apps that this is happening to. Here are a few:
    Cro-Mag Rally
    Piyo Blocks
    MUST.EAT.BIRDS
    Jet Car Stunts (still)
    ZombieSmash
    And more

    I'm wondering if there is a way to change something in my iPod to make it think that it is compatible with these apps. Thanks.

Share This Page